%define subname mrim
Summary: Mail.ruIM-transport for jabberd2
Name: jabberd2-mrim
Version: 0.1.1
Release: alt1
License: GPL
Group: System/Servers
URL: http://jabber.ru/files/mrim
Packager: Alexey Sidorov <alexsid@altlinux.ru>
Requires: python-module-xmpp >= 0.3.1
Requires: jabberd2
BuildArch: noarch

Source0: %subname-%version.tar.bz2
Source1: %subname.init
Source2: %subname.cfg
Patch0: %subname.patch

%description
Mrim is an Open Source (GPL) XMPP to Mail.ru-IM Transport (aka M-Agent).
It is written in Python and built on top of xmpp.py library (http://xmpppy.sourceforge.net).

%prep
%setup -n %subname
%patch0 -p1

%build

%install
mkdir -p %buildroot%_datadir/jabberd2-%subname \
	%buildroot%_initdir \
	%buildroot%_sysconfdir/jabberd2 \
	%buildroot%_sysconfdir/jabberd2/cfg.d
	
cp -r ./*  %buildroot%_datadir/jabberd2-%subname/
cp mrim.conf.example %buildroot%_sysconfdir/jabberd2/%subname.conf
install -pD -m0755 %SOURCE1 %buildroot%_initdir/jabberd2-%subname
install -pD -m0644 %SOURCE2 %buildroot%_sysconfdir/jabberd2/cfg.d/09%subname.cfg

%files
%doc COPYING ChangeLog INSTALL README TODO
%config(noreplace) %_sysconfdir/jabberd2/*
%_initdir/*
%_datadir/jabberd2-%subname/*

%changelog

* Thu Feb 01 2007 Alexey Sidorov <alexsid@altlinux.ru> 0.1.1-alt1
- Initial build. Jabberd2 adopted mrim build
